Financials Metrics API
Discover line-item ids for nested income, balance, and cash-flow tables—parent, level, and sign match the site. Filter with statement=income, balance, or cashflow.
curl -X GET "https://example.com/v2/fundamentals/financials/metrics?statement=income"{ "statement": "income", "count": 30, "metrics": [ { "metric": "revenue", "name": "Revenue", "category": "INCOME_STATEMENT", "subcategory": "REVENUES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "revenue", "formula_display": "Revenue", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "normal", "include_when": "always" }, { "metric": "costOfRevenue", "name": "Cost of Revenue", "category": "INCOME_STATEMENT", "subcategory": "OPERATING_COST", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "costOfRevenue", "formula_display": "Cost of Revenue", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "revenue", "level": 1, "sign": "-", "row_type": "normal", "include_when": "always" }, { "metric": "grossProfit", "name": "Gross Profit", "category": "INCOME_STATEMENT", "subcategory": "INCOME_STATEMENT", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "grossProfit", "formula_display": "Gross Profit", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "include_when": "always" }, { "metric": "operatingExpenses", "name": "Operating Expenses", "category": "INCOME_STATEMENT", "subcategory": "EXPENSES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "operatingExpenses", "formula_display": "Operating Expenses", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "grossProfit", "level": 1, "sign": "-", "row_type": "subtotal", "include_when": "always" }, { "metric": "sellingGeneralAndAdministrativeExpenses", "name": "Selling, General & Admin", "category": "INCOME_STATEMENT", "subcategory": "EXPENSES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "sellingGeneralAndAdministrativeExpenses", "formula_display": "Selling, General & Admin", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "operatingExpenses", "level": 2, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "generalAndAdministrativeExpenses", "name": "General And Administrative Expenses", "category": "INCOME_STATEMENT", "subcategory": "EXPENSES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "generalAndAdministrativeExpenses", "formula_display": "General And Administrative Expenses", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "sellingGeneralAndAdministrativeExpenses", "level": 3, "sign": "+", "row_type": "normal", "include_when": "nonzero" }, { "metric": "sellingAndMarketingExpenses", "name": "Selling And Marketing Expenses", "category": "INCOME_STATEMENT", "subcategory": "EXPENSES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "sellingAndMarketingExpenses", "formula_display": "Selling And Marketing Expenses", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "sellingGeneralAndAdministrativeExpenses", "level": 3, "sign": "+", "row_type": "normal", "include_when": "nonzero" }, { "metric": "researchAndDevelopmentExpenses", "name": "Research and Development", "category": "INCOME_STATEMENT", "subcategory": "EXPENSES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "researchAndDevelopmentExpenses", "formula_display": "Research and Development", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "operatingExpenses", "level": 2, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "otherExpenses", "name": "Other Operating Expenses", "category": "INCOME_STATEMENT", "subcategory": "EXPENSES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "otherExpenses", "formula_display": "Other Operating Expenses", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "operatingExpenses", "level": 2, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "operatingIncome", "name": "Operating Income", "category": "INCOME_STATEMENT", "subcategory": "INCOME_STATEMENT", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "operatingIncome", "formula_display": "Operating Income", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "include_when": "always" }, { "metric": "nonOperatingIncome_calc", "name": "Non Operating Income", "category": "INCOME_STATEMENT", "subcategory": "NON-OPERATING", "base_code": null, "is_pit": false, "is_non_pit": true, "description": "Interest income net plus other non-operating income.", "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "netInterestIncome + totalOtherIncomeExpensesNet", "formula_display": "netInterestIncome + totalOtherIncomeExpensesNet", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "operatingIncome", "level": 1, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "netInterestIncome", "name": "Interest Income, Net", "category": "INCOME_STATEMENT", "subcategory": "NON-OPERATING", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "netInterestIncome", "formula_display": "Interest Income, Net", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "nonOperatingIncome_calc", "level": 2, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "interestIncome", "name": "Interest Income", "category": "INCOME_STATEMENT", "subcategory": "NON-OPERATING", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "interestIncome", "formula_display": "Interest Income", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "netInterestIncome", "level": 3, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "interestExpense", "name": "Interest Expense", "category": "INCOME_STATEMENT", "subcategory": "NON-OPERATING", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "interestExpense", "formula_display": "Interest Expense", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "netInterestIncome", "level": 3, "sign": "-", "row_type": "normal", "include_when": "always" }, { "metric": "totalOtherIncomeExpensesNet", "name": "Other Non-Op Income", "category": "INCOME_STATEMENT", "subcategory": "NON-OPERATING", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "totalOtherIncomeExpensesNet", "formula_display": "Other Non-Op Income", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "nonOperatingIncome_calc", "level": 2, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "incomeBeforeTax", "name": "Pretax Income", "category": "INCOME_STATEMENT", "subcategory": "INCOME_STATEMENT", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "incomeBeforeTax", "formula_display": "Pretax Income", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "include_when": "always" }, { "metric": "incomeTaxExpense", "name": "Income Tax Expense", "category": "INCOME_STATEMENT", "subcategory": "EXPENSES", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "incomeTaxExpense", "formula_display": "Income Tax Expense", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "incomeBeforeTax", "level": 1, "sign": "-", "row_type": "normal", "include_when": "always" }, { "metric": "netIncomeFromContinuingOperations", "name": "Income from Cont Ops", "category": "INCOME_STATEMENT", "subcategory": "NET_INCOME", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "netIncomeFromContinuingOperations", "formula_display": "Income from Cont Ops", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "include_when": "always" }, { "metric": "netExtraordinaryLosses_calc", "name": "Net Extraordinary Losses", "category": "INCOME_STATEMENT", "subcategory": "NON-RECURRING_ITEMS", "base_code": null, "is_pit": false, "is_non_pit": true, "description": "Sign-flipped sum of discontinued operations and other adjustments.", "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "-(netIncomeFromDiscontinuedOperations + otherAdjustmentsToNetIncome)", "formula_display": "-(netIncomeFromDiscontinuedOperations + otherAdjustmentsToNetIncome)", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "netIncomeFromContinuingOperations", "level": 1, "sign": "-", "row_type": "normal", "include_when": "always" }, { "metric": "netIncomeFromDiscontinuedOperations", "name": "Discounted operations", "category": "INCOME_STATEMENT", "subcategory": "NON-RECURRING_ITEMS", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "netIncomeFromDiscontinuedOperations", "formula_display": "Discounted operations", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "netExtraordinaryLosses_calc", "level": 2, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "otherAdjustmentsToNetIncome", "name": "XO & Accounting Changes", "category": "INCOME_STATEMENT", "subcategory": "NON-RECURRING_ITEMS", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "otherAdjustmentsToNetIncome", "formula_display": "XO & Accounting Changes", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "netExtraordinaryLosses_calc", "level": 2, "sign": "+", "row_type": "normal", "include_when": "always" }, { "metric": "incomeInclMI_calc", "name": "Income Incl. MI", "category": "INCOME_STATEMENT", "subcategory": "NET_INCOME", "base_code": null, "is_pit": false, "is_non_pit": true, "description": "Continuing operations minus net extraordinary losses.", "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "netIncomeFromContinuingOperations - netExtraordinaryLosses_calc", "formula_display": "netIncomeFromContinuingOperations - netExtraordinaryLosses_calc", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "include_when": "always" }, { "metric": "minorityInterests_calc", "name": "Minority Interests", "category": "INCOME_STATEMENT", "subcategory": "SUPPLEMENTAL", "base_code": null, "is_pit": false, "is_non_pit": true, "description": "Income including minority interest minus GAAP net income.", "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "incomeInclMI_calc - netIncome", "formula_display": "incomeInclMI_calc - netIncome", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "incomeInclMI_calc", "level": 1, "sign": "-", "row_type": "normal", "include_when": "always" }, { "metric": "netIncome", "name": "Net Income, GAAP", "category": "INCOME_STATEMENT", "subcategory": "NET_INCOME", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "netIncome", "formula_display": "Net Income, GAAP", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "total", "include_when": "always" }, { "metric": "netIncomeDeductions", "name": "Prfrrd Div & Other", "category": "INCOME_STATEMENT", "subcategory": "NET_INCOME", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "netIncomeDeductions", "formula_display": "Prfrrd Div & Other", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": "netIncome", "level": 1, "sign": "-", "row_type": "normal", "include_when": "always" }, { "metric": "bottomLineNetIncome", "name": "Net Income Avail To Common", "category": "INCOME_STATEMENT", "subcategory": "NET_INCOME", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "bottomLineNetIncome", "formula_display": "Net Income Avail To Common", "layer": "statement", "is_currency": true, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "money", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "total", "include_when": "always" }, { "metric": "weightedAverageShsOut", "name": "Weighted Average Shs Out", "category": "INCOME_STATEMENT", "subcategory": "PER_SHARE", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "integer", "factor": 1, "formula": "weightedAverageShsOut", "formula_display": "Weighted Average Shs Out", "layer": "statement", "is_currency": false, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "shares", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "normal", "include_when": "always" }, { "metric": "eps", "name": "EPS", "category": "INCOME_STATEMENT", "subcategory": "PER_SHARE", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "eps", "formula_display": "EPS", "layer": "statement", "is_currency": false, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "per_share", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "normal", "include_when": "always" }, { "metric": "weightedAverageShsOutDil", "name": "Weighted Average Shs Out Dil", "category": "INCOME_STATEMENT", "subcategory": "PER_SHARE", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "integer", "factor": 1, "formula": "weightedAverageShsOutDil", "formula_display": "Weighted Average Shs Out Dil", "layer": "statement", "is_currency": false, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "shares", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "normal", "include_when": "always" }, { "metric": "epsDiluted", "name": "EPS Diluted", "category": "INCOME_STATEMENT", "subcategory": "PER_SHARE", "base_code": null, "is_pit": false, "is_non_pit": true, "description": null, "methodology": "Standardized statement row (as-reported source field names).", "data_type": "float", "factor": 1, "formula": "epsDiluted", "formula_display": "EPS Diluted", "layer": "statement", "is_currency": false, "periodicities": [ "fy", "quarter", "ttm" ], "value_type": "per_share", "statement": "income", "parent": null, "level": 0, "sign": null, "row_type": "normal", "include_when": "always" } ]}Query Parameters
statement?string
income, balance, or cashflow. Omit for all three.
Value in
- "income"
- "balance"
- "cashflow"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json